config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/vdpau_wrapper.cfg.new
config etc/profile.d/vdpau.sh.new
config etc/profile.d/vdpau.csh.new

( cd usr/lib64 ; rm -rf libvdpau.so )
( cd usr/lib64 ; ln -sf libvdpau.so.1 libvdpau.so )
( cd usr/lib64 ; rm -rf libvdpau.so.1 )
( cd usr/lib64 ; ln -sf libvdpau.so.1.0.0 libvdpau.so.1 )
( cd usr/lib64/vdpau ; rm -rf libvdpau_trace.so )
( cd usr/lib64/vdpau ; ln -sf libvdpau_trace.so.1 libvdpau_trace.so )
( cd usr/lib64/vdpau ; rm -rf libvdpau_trace.so.1 )
( cd usr/lib64/vdpau ; ln -sf libvdpau_trace.so.1.0.0 libvdpau_trace.so.1 )
